import { s, e as a } from "../index-DSGwv2Yx.js";
import { t } from "../tensor4d-Dj4rDssL.js";
async function u(e) {
  await s(e);
  const n = t(
    [
      [
        [
          [0.1, 0.2, 0, 0],
          [0.1, 0.2, 0, 0],
          [0, 0, 0, 0],
          [0, 0, 0, 0]
        ]
      ]
    ],
    [1, 1, 4, 4]
  ), r = t([[[[0.1, 0.2, 0.3, 0.4]]]], [1, 1, 1, 4]);
  return await a().runKernel("AppendCache", { cache: n, item: r }, { maxSize: 4, pastLen: 2 }).array();
}
export {
  u as execute
};
